<template lang="pug">

section.container(v-if='news.active')
  h1.main-heading_inner.news__heading  {{ news.heading }}

  span.news__date  {{ $moment(news.created_at).format('LL') }}

  el-breadcrumb.mb-20(separator-class='el-icon-arrow-right')
    el-breadcrumb-item(:to="{ path: '/' }") Главная
    el-breadcrumb-item(:to="{ path: '/news' }") Новости компании
    el-breadcrumb-item {{ news.heading }}

  .news__cover
    app-image-item(
      :source="news.cover"
      :alt="news.heading")

  div.quill(v-html='news.text')

</template>

<script>
import { mapMutations } from 'vuex';

import ImageItem from '../../components/public/ImageItem';

export default {
  name: 'NewsItem',
  components: {
    'app-image-item': ImageItem
  },
  async asyncData(context) {
    let { data } = await context.$axios.get(
      `/api/v1/news/slug/${context.params.slug}`
    );
    return { news: data };
  },
  head() {
    return {
      title: `${this.news.heading} | АО «Шувалово»`,
      meta: [
        // hid is used as unique identifier. Do not use `vmid` for it as it will not work
        {
          hid: 'description',
          name: 'description',
          content: this.news.description
        }
      ]
    };
  },
  created() {
    if (!this.news.active) {
      this.$router.push('/news');
    }
  },
  mounted() {
    this.SET_LOADING(false);
  },
  methods: {
    ...mapMutations(['SET_LOADING'])
  }
};
</script>
